Bug 1309153 - Does python3-funcsigs make any sense?
Does python3-funcsigs make any sense?
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: python-funcsigs (Show other bugs)
24
All All
unspecified Severity medium
: ---
: ---
Assigned To: Haïkel Guémar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-16 20:53 EST by Adam Williamson
Modified: 2016-06-11 10:39 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-11 10:39:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Williamson 2016-02-16 20:53:06 EST
I may be missing something, but why does python3-funcsigs exist at all for Fedora?

funcsigs is described thus:

"funcsigs is a backport of the PEP 362 function signature features from Python 3.3’s inspect module."

All supported Fedora releases have at least Python 3.3, so what is the point of building python3-funcsigs? Surely only python2-funcsigs should be produced?
Comment 1 Jan Kurik 2016-02-24 10:39:51 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 hguemar 2016-06-11 10:39:27 EDT
@Adam: sorry for the late notice, the only point for python3 package is for python2/3 portability reasons. The new signature API is available under the funcsigs module, and not inspect in python2. So it serves to avoid try/catch ImportError logic to import the module.

Note You need to log in before you can comment on or make changes to this bug.